Wooxy API v.3.0

Email validation

This method allows validate any contact and retrieve information about its validity status.

Request

POST
https://api.wooxy.com/v3/validator/email/validate

IMPORTANT: Do not send more than 10 concurrent API requests.

Body Example

                                        {
            "email": "emailForValidation",
}
                                    

Parameters

Title Type Default Description

email

required
string

The email address requiring validation.

Response

                                        {
  "result": true,
  "data": {
    "id": resultId,
    "email": "validatedEmail",
    "stage": "validationProcessStatus",
    "status": "validatedEmailStatus",
    "comment": "resultComment"
  }
}
                                    

Parameters

Title Type Description

result

boolean

The value indicates that the email was successfully validated.

data

object

The data parameter represents a structured object containing comprehensive validation information and attributes.

data.id

integer

The identifier of validation.

data.email

string

The validated email.

data.stage

string

Status of validation process.

data.status

string

Status of validated email.

data.comment

string

Result comment of email validation.

Method Errors

                                        {
   "result":false,
   "errors":[
      "Error description text"
   ]
}
                                    
Error

Email must be a string

"Email must be a non-empty string"

"Invalid authorization token! Internal server error"

"Bad Request"

"no matches found for access token {accessToken}"

"user {id} not enabled"

"no data found for key {userId}"

"access token check failed for key/secret $key/$accessToken"

"Argument {argument} required"

Code Examples

PHP
                <?php

$accessToken = 'YOUR_API_KEY';
$url = 'https://api.wooxy.com/v3/validator/email/validate';

$body = json_encode([
    'email' => 'emailForValidation',
]);

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_POSTFIELDS, $body);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Access-Token: $accessToken",
    'Content-Type: application/json',
    'Content-Length: ' . strlen($body),
]);

$result = curl_exec($ch);
if ($result === false) {
    echo 'cURL error: ' . curl_error($ch) . PHP_EOL;
} else {
    echo $result . PHP_EOL;
}
curl_close($ch);

?>